Description

Hi everyone,

One of our project members found out yesterday, that the "Watch" Wiki option in redmine is no longer functioning.
If I understood it correctly, when you watch a wiki, you will be notified whenever someone makes any changes to that wiki. Am I

right?

If not please feel free to correct me :)

Now, I have tried watching a few wikis and someone else would change something in those wikis, however there is nothing in the

logs that can tell me what went wrong, redmine isn't even trying to send an e-mail.

Does anyone have any idea what could possibly be wrong with my setup?

Here is a part of my log:

Started POST "/watchers/watch?object_id=99&object_type=wiki_page" for x.x.x.x at 2023-08-04 07:59:20 +0200

Processing by WatchersController#watch as JS

Parameters: {"object_id"=>"99", "object_type"=>"wiki_page"}

Current user: user.name (id=137)

Rendered watchers/_watchers.html.erb (5.8ms)

Rendered watchers/_set_watcher.js.erb (7.4ms)

Completed 200 OK in 23ms (Views: 5.9ms | ActiveRecord: 7.9ms)

Started DELETE "/watchers/watch?object_id=99&object_type=wiki_page" for x.x.x.x at 2023-08-04 07:59:20 +0200

Processing by WatchersController#unwatch as JS

Parameters: {"object_id"=>"99", "object_type"=>"wiki_page"}

Current user: user.name (id=137)

Rendered watchers/_watchers.html.erb (1.9ms)

Rendered watchers/_set_watcher.js.erb (4.3ms)

Completed 200 OK in 17ms (Views: 3.2ms | ActiveRecord: 5.5ms)

Thank you in advance.

Best Regards,

Darius Neagoe

History

#1 - 2023-08-10 09:52 - Go MAEDA

- Category set to Email notifications

I cannot reproduce the problem.

Did you enable notifications for "Wiki page added" and "Wiki page updated" in Administration > Email notifications?

#2 - 2023-08-10 10:44 - Darius Neagoe

Hi,

i just checked the settings and yep, those were not enabled.

I tested it and it worked. I guess it got deactivated when we updated to 4.2.8.
Thanks for the Feedback, it really helped.

The Thread can be closed.

Best Regards,

Darius Neagoe

#3 - 2023-08-10 12:16 - Go MAEDA

- Status changed from New to Closed

- Resolution set to Invalid

Thank you for your feedback. Closing.
